Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - strongswan

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: strongswan 5.5.1-5

Git Clone URL: https://aur-dev.archlinux.org/strongswan.git (read-only)
Package Base: strongswan
Description: open source IPsec implementation
Upstream URL: http://www.strongswan.org
Keywords: IPsec strongswan
Licenses: GPL
Conflicts: openswan
Submitter: jayray
Maintainer: Thermi
Last Packager: Thermi
Votes: 99
Popularity: 2.646251
First Submitted: 2007-04-22 16:41
Last Updated: 2017-02-04 18:22

Latest Comments

« First ‹ Previous ... 6 7 8 9 10 11 12 Next › Last »

zebulon commented on 2012-04-13 15:34

@andyboeh: thanks for the information. However, I do not know if this is good practice in Arch. That would be good that this PKGBUILD receive some TLC. As it is it fails anyway.

zebulon commented on 2012-04-13 08:18

Hi, is 458italia still maintaining the package?

zizzfizzix commented on 2012-01-30 18:57

Hi
--libexecdir should be /usr/lib/${pkgname} according to Arch's standards.
You can also remove all "|| return 1" occurances as makepkg throws 1 if it fails anyway.

Cheers

andyboeh commented on 2012-01-15 20:10

Thanks, darie, for providing the file!
In the meantime I had a closer look on the PKGBUILD: The script creates a link from /usr/sbin/ipsec to /etc/rc.d/ipsec, so in fact strongswan.rc should not be needed anymore and is replaced by /etc/rc.d/ipsec as the commands start/stop/restart/status are basically the same as for the init-script. If it's meant to be that way, then the install-line for strongswan.rc should be removed from the PKGBUILD.

darie commented on 2012-01-14 10:36

Yes, the file strongswan.rc should be shipped with the PKGBUILD. Here is the file from my old days as maintainer of this package: http://pastebin.com/Qt4aRVEs I pulled this file from my packaging sources from version 4.4.1 (sometimes it's good that you never delete stuff *lol*) so I have absolutely no clue if this file still works. But it should. :)

andyboeh commented on 2011-12-09 23:55

I'm getting an error that strongswan.rc was not found during install. Shouldn't this file be provided along with the PKGBUILD in the tarball?

Thanks

dbrgn commented on 2011-11-29 22:12

Here the tested PKGBUILD for version 4.6.1, without networkmanager and smartcard support: http://pastebin.com/42nWHH5F

Idares commented on 2011-07-17 12:26

Strongswan does not need networkmanager to run, so it would be better to move networkmanager from 'depends' to 'makedepends'.

Anonymous comment on 2011-07-11 14:42

Added dependency for networkmanager and included --enable-nm configure switch for the 4.5.2 release.

Georgios commented on 2011-03-11 23:46

How about adding --enable-nm for networkmanager support? would it mess things up?